Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.session
Interface ComponentSession

All Superinterfaces:
  ChannelHandler, RoutableChannelHandler, Session

All Known Implementing Classes:
  LocalComponentSession

    public interface ComponentSession

extends Session

Represents a session between the server and an external component.

Author:
  Gaston Dombiak

Nested Class Summary
`static interface` | `ComponentSession.ExternalComponent` The ExternalComponent acts as a proxy of the remote connected component.

Field Summary

Fields inherited from interface org.jivesoftware.openfire.session.Session
`MAJOR_VERSION, MINOR_VERSION, STATUS_AUTHENTICATED, STATUS_CLOSED, STATUS_CONNECTED`

Method Summary
`ComponentSession.ExternalComponent` | `getExternalComponent()`

Methods inherited from interface org.jivesoftware.openfire.session.Session
`close, deliverRawText, getAddress, getCreationDate, getHostAddress, getHostName, getLastActiveDate, getNumClientPackets, getNumServerPackets, getServerName, getStatus, getStreamID, isClosed, isSecure, process, validate`

Method Detail

### getExternalComponent

    ComponentSession.ExternalComponent getExternalComponent()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.